package cpcns.danganzhengli.xinxifabu.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganzhengli.xinxifabu.model.XinXiFaBu;
import cpcns.danganzhengli.xinxifabu.model.XinXiFaBuFuJian;
import cpcns.danganzhengli.xinxifabu.service.IXinXiFaBuFuJianService;
import cpcns.danganzhengli.xinxifabu.service.IXinXiFaBuService;
import cpcns.gongyongzujian.dianzidangan.util.FuJianPathUtils;
import cpcns.printManager.PrintUtil;
import cpcns.utils.CommStatic;
import cpcns.utils.DateUtil;
import cpcns.utils.FtpConfig;
import cpcns.utils.FtpUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.net.SocketException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

@Controller
@RequestMapping({"/XinXiFaBuController"})
public class XinXiFaBuController extends commonController {
  @Autowired
  private IXinXiFaBuService xinXiFaBuService;
  
  @Autowired
  private IXinXiFaBuFuJianService xinXiFaBuFuJianService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/query"})
  public String query(HttpServletRequest request) {
    return "/danganzhengli/xinxifabu/XinXiFaBuList";
  }
  
  @RequestMapping({"/load"})
  public String load(HttpServletRequest request) {
    String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    getRequest().setAttribute("xiTongLeiXing", xiTongLeiXing);
    return "/danganzhengli/xinxifabu/XinXiFaBuShenHeList";
  }
  
  @RequestMapping({"/newAdd"})
  public String newAdd(HttpServletRequest request, HttpServletResponse response) {
    User user = getCurrentUser();
    String dw = user.findRootBuMenMingCheng();
    String bs = user.findRootBuMenBiaoShi();
    XinXiFaBu XXFB = new XinXiFaBu();
    XXFB.setDanWeiMingCheng(dw);
    XXFB.setDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(bs)));
    XXFB.setDengJiRenMingCheng(user.getMingCheng());
    XXFB.setDengJiRenBiaoShi(user.getBiaoShi());
    XXFB.setZeRenZhe(dw);
    XXFB.setQuanZongHao(user.getQuanZongHao());
    XXFB.setDangAnShiZhuangTai(Integer.valueOf(0));
    String sdate = (new SimpleDateFormat("yyyy-MM-dd")).format(new Date());
    XXFB.setDjrq(sdate);
    getRequest().setAttribute("XXFB", XXFB);
    getRequest().setAttribute("FJgeshu", Integer.valueOf(0));
    return "/danganzhengli/xinxifabu/XinXiFaBuEdit";
  }
  
  @RequestMapping({"/openXXFB"})
  public String openXXFB(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      XinXiFaBu XXFB = (XinXiFaBu)this.xinXiFaBuService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      Map<String, Object> map = new HashMap<>();
      map.put("guanLianBiaoShi", XXFB.getHangBiaoShi());
      List<XinXiFaBuFuJian> list = this.xinXiFaBuFuJianService.getListHQL("XinXiFaBuFuJian", map);
      if (list.size() > 0) {
        getRequest().setAttribute("FJgeshu", Integer.valueOf(list.size()));
      } else {
        getRequest().setAttribute("FJgeshu", Integer.valueOf(0));
      } 
      getRequest().setAttribute("list", list);
      getRequest().setAttribute("XXFB", XXFB);
      this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", XXFB.getHangBiaoShi(), XXFB.getTiMing(), "查看");
    } 
    return "/danganzhengli/xinxifabu/XinXiFaBuEdit";
  }
  
  @RequestMapping({"/openSHXXFB"})
  public String openSHXXFB(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      XinXiFaBu XXFB = (XinXiFaBu)this.xinXiFaBuService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      Map<String, Object> map = new HashMap<>();
      map.put("guanLianBiaoShi", XXFB.getHangBiaoShi());
      List<XinXiFaBuFuJian> list = this.xinXiFaBuFuJianService.getListHQL("XinXiFaBuFuJian", map);
      getRequest().setAttribute("list", list);
      getRequest().setAttribute("XXFB", XXFB);
      getRequest().setAttribute("xiTongLeiXing", xiTongLeiXing);
      this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", XXFB.getHangBiaoShi(), XXFB.getTiMing(), "查看");
    } 
    return "/danganzhengli/xinxifabu/XinXiFaBuEditReadOnly";
  }
  
  @RequestMapping({"/getAll"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      if (!"querystr".equals(thisName))
        jsonObject.put(thisName, thisValue); 
    } 
    StringBuffer sqlWhere = new StringBuffer();
    String xiTongLeiXing = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
    if (StringUtils.isNotBlank(xiTongLeiXing) && "1".equals(xiTongLeiXing))
      sqlWhere.append(" and quanZongHao='" + getCurrentUser().getQuanZongHao() + "'"); 
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"leiXing".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          if (key.equals("chengWenRiQi"))
            value = String.valueOf(value.substring(0, 4)) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8); 
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          if (key.equals("chengWenRiQi"))
            value = String.valueOf(value.substring(0, 4)) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8); 
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " <= to_date('" + value + "','yyyy-mm-dd') ");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (!key.contains("like")) {
            if ("dangAnShiZhuangTai".equals(key) || "dangAnGuanZhuangTai".equals(key)) {
              sqlWhere.append(" and ").append(String.valueOf(key) + " in (" + value + ")");
              continue;
            } 
            if (StringUtils.isNotBlank(xiTongLeiXing) && "2".equals(xiTongLeiXing)) {
              sqlWhere.append(" and quanZongHao='" + value + "'");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    String querySt = request.getParameter("querystr");
    if (StringUtils.isNotBlank(querySt))
      sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    PagerVO pagevo = this.xinXiFaBuService.getAllOderBy(start, number, sqlWhere.toString(), " order by hangBiaoShi desc");
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = StringUtil.replaceEntity(jsonString, XinXiFaBu.class);
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"/saveXXFB.do"})
  @ResponseBody
  public void saveFJ(@RequestParam(value = "upload", required = false) MultipartFile[] upload, HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    XinXiFaBu XXFB = (XinXiFaBu)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), XinXiFaBu.class);
    String rizhiInfo = "修改";
    try {
      if (XXFB.getHangBiaoShi() == null || XXFB.getHangBiaoShi().intValue() < 0) {
        rizhiInfo = "新增";
        XXFB.setHangBiaoShi(Integer.valueOf(this.xinXiFaBuService.getPk()));
        XXFB.setDangAnShiZhuangTai(Integer.valueOf(1));
        StringBuffer sql_XuHao = new StringBuffer("select max(xuHao) from D_XinXiGongKai where quanZongHao='" + getCurrentUser().getQuanZongHao() + "'");
        List<E> list = this.xinXiFaBuService.getList(sql_XuHao.toString());
        if (list != null && list.size() > 0 && list.get(0) != null) {
          int xh = Integer.parseInt(list.get(0).toString()) + 1;
          XXFB.setXuHao(Integer.valueOf(xh));
        } else {
          XXFB.setXuHao(Integer.valueOf(1));
        } 
      } 
      if (XXFB.getDangAnShiZhuangTai().intValue() == 5 || XXFB.getDangAnShiZhuangTai().intValue() == 3)
        XXFB.setDangAnShiZhuangTai(Integer.valueOf(1)); 
      String qzh = XXFB.getQuanZongHao();
      this.xinXiFaBuService.saveOrUpdate(XXFB);
      if (upload != null && upload.length > 0) {
        String xdLuJing = getPath("D_XinXiGongKaiFuJian", getCurrentUser().getQuanZongHao(), XXFB.getHangBiaoShi());
        String path = AppConfiguration.getConfigValue("OACaiJiPath");
        Boolean uploadFile = Boolean.valueOf(true);
        for (int i = 0; i < upload.length; i++) {
          XinXiFaBuFuJian XXFBFJ = new XinXiFaBuFuJian();
          MultipartFile files = upload[i];
          String yuanWenJianName = files.getOriginalFilename();
          if (yuanWenJianName != "" && yuanWenJianName != null) {
            String wjgs = yuanWenJianName.substring(yuanWenJianName.indexOf("."), yuanWenJianName.length());
            String mc = XXFB.getHangBiaoShi() + wjgs;
            File file = new File(StringUtil.dealBasePath(String.valueOf(path) + "/" + xdLuJing + mc));
            if (!file.exists())
              file.mkdirs(); 
            files.transferTo(file);
            XXFBFJ.setGuanLianBiaoShi(XXFB.getHangBiaoShi());
            XXFBFJ.setWenJianLuJing(xdLuJing);
            XXFBFJ.setWenJianMingCheng(mc);
            XXFBFJ.setBeiYongZiFu(yuanWenJianName);
            XXFBFJ.setHangBiaoShi(Integer.valueOf(this.xinXiFaBuFuJianService.getPk()));
            String ccfs = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
            if ("1".equals(ccfs)) {
              uploadFile = Boolean.valueOf(false);
              FtpUtil ftp = new FtpUtil();
              FtpConfig ftpConfig = this.xinXiFaBuFuJianService.getFtpAccInfo(qzh);
              ftp.connectServer(ftpConfig);
              boolean ml = ftp.createMultiDirectory(xdLuJing);
              if (ml) {
                boolean ss = ftp.uploadFile(StringUtil.dealBasePath(String.valueOf(path) + "/" + xdLuJing + mc), mc);
                if (ss) {
                  file.delete();
                  uploadFile = Boolean.valueOf(true);
                } 
              } 
            } 
            if (uploadFile.booleanValue())
              this.xinXiFaBuFuJianService.saveOrUpdate(XXFBFJ); 
          } 
        } 
        if (uploadFile.booleanValue()) {
          rm.setSuccess(true);
          info = "保存成功！";
          this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", XXFB.getHangBiaoShi(), XXFB.getTiMing(), rizhiInfo);
        } else {
          info = "基本信息保存成功，上传附件失败！";
          rm.setSuccess(false);
        } 
      } else {
        info = "附件为空，无法上传！";
        rm.setSuccess(false);
      } 
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  protected String getPath(String table, String quanZong, Integer hangBiaoShi) {
    Calendar cal = Calendar.getInstance();
    int year = cal.get(1);
    if (StringUtils.isBlank(quanZong))
      quanZong = "001"; 
    String path = "XXGK/" + quanZong + "/" + DateUtil.getYear() + "/XXGK/" + hangBiaoShi + "/";
    path = StringUtil.dealBasePath(path);
    return path;
  }
  
  @RequestMapping({"/dowloadFuJian.do"})
  @ResponseBody
  private void dowloadFuJian(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String quanZongHao = request.getParameter("quanZongHao");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      XinXiFaBuFuJian t = (XinXiFaBuFuJian)this.xinXiFaBuFuJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      String fpath = StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("OACaiJiPath")) + File.separator + t.getWenJianLuJing());
      String fileName = t.getWenJianMingCheng();
      String ccfs = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
      if ("1".equals(ccfs)) {
        FtpUtil ftp = new FtpUtil();
        FtpConfig ftpc = this.xinXiFaBuFuJianService.getFtpAccInfo(quanZongHao);
        ftp.connectServer(ftpc);
        ftp.changeDirectory(t.getWenJianLuJing());
        File path_ = new File(fpath);
        if (!path_.exists())
          path_.mkdirs(); 
        ftp.download(fileName, fpath, fileName);
        ftp.closeServer();
      } 
      File file = new File(String.valueOf(fpath) + fileName);
      if (file.exists()) {
        String encodeName = new String(t.getWenJianMingCheng().getBytes("GB2312"), "ISO8859_1");
        response.setCharacterEncoding("utf-8");
        response.setHeader("content-disposition", "attachment;filename=" + encodeName);
        FileInputStream fis = new FileInputStream(file);
        ServletOutputStream servletOutputStream = response.getOutputStream();
        byte[] buffer = new byte[1024];
        int len = 0;
        while ((len = fis.read(buffer)) > 0)
          servletOutputStream.write(buffer, 0, len); 
        fis.close();
        servletOutputStream.close();
      } 
      this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", t.getGuanLianBiaoShi(), t.getWenJianMingCheng(), "下载附件");
    } 
  }
  
  @RequestMapping({"/deleteFuJian.do"})
  @ResponseBody
  public void removeFuJian(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      String info = "";
      try {
        XinXiFaBuFuJian t = (XinXiFaBuFuJian)this.xinXiFaBuFuJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        String fileName = String.valueOf(AppConfiguration.getConfigValue("XinXiFaBuPath")) + t.getWenJianLuJing() + t.getWenJianMingCheng();
        File file = new File(fileName);
        if (file.exists())
          file.delete(); 
        this.xinXiFaBuFuJianService.delete(hangBiaoShi);
        rm.setSuccess(true);
        info = "删除成功！";
        this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", t.getGuanLianBiaoShi(), t.getWenJianMingCheng(), "删除附件");
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/yuLan.do"})
  public String yuLan(HttpServletRequest request, HttpServletResponse response) {
    String CPCNS_DAKAIFANGSHI = AppConfiguration.getConfigValue("CPCNS_DAKAIFANGSHI");
    String DianZiDangAnManager = AppConfiguration.getConfigValue("DianZiDangAnManager");
    String DianZiDangAnCiPanLuJing = AppConfiguration.getConfigValue("DianZiDangAnCiPanLuJing");
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String filePath = "";
    if (StringUtils.isNotBlank(hangBiaoShi))
      try {
        XinXiFaBuFuJian t = (XinXiFaBuFuJian)this.xinXiFaBuFuJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        String ccfs = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
        if ("1".equals(ccfs)) {
          String quanZongHao = getFtpQuanZong();
          FtpConfig ftpcfig = this.commonService.getFtpAccInfo(quanZongHao);
          if (CPCNS_DAKAIFANGSHI.equals("0")) {
            String lj = t.getWenJianLuJing().replaceAll("#", "%23").replaceAll("·", "-");
            String wm = t.getWenJianMingCheng().replaceAll("#", "%23").replaceAll("·", "-");
            String localFilePath = FuJianPathUtils.obtainCiPanPath("temp" + File.separator + lj);
            System.out.println("path是：" + lj + ";下载到本地路径是" + localFilePath);
            FtpUtil ftp = new FtpUtil();
            ftp.ftpDownload(ftpcfig, lj, wm, localFilePath, wm);
            filePath = StringUtil.dealBasePath(String.valueOf(DianZiDangAnManager) + DianZiDangAnCiPanLuJing + File.separator + "temp" + File.separator + lj + wm);
          } else {
            String ftp = this.xinXiFaBuFuJianService.getFtpString(quanZongHao);
            filePath = String.valueOf(ftp) + "/" + t.getWenJianLuJing() + t.getWenJianMingCheng();
          } 
        } else {
          filePath = StringUtil.dealBasePath(String.valueOf(DianZiDangAnManager) + DianZiDangAnCiPanLuJing + "/" + t.getWenJianLuJing() + t.getWenJianMingCheng());
        } 
      } catch (Exception e) {
        e.printStackTrace();
      }  
    request.setAttribute("filePath", filePath);
    return "/danganzhengli/xinxifabu/check";
  }
  
  @RequestMapping({"/delXXFB.do"})
  @ResponseBody
  public void delXXFB(HttpServletRequest request, HttpServletResponse response) throws SocketException, IOException {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShis)) {
      String[] hangBiaoShi = hangBiaoShis.split(",");
      for (int i = 0; i < hangBiaoShi.length; i++) {
        StringBuffer getFJ = new StringBuffer("from XinXiFaBuFuJian where guanLianBiaoShi=" + hangBiaoShi[i]);
        List<XinXiFaBuFuJian> list = this.xinXiFaBuFuJianService.getListHQL("XinXiFaBuFuJian", getFJ.toString());
        if (list != null && list.size() > 0)
          for (int n = 0; n < list.size(); n++) {
            StringBuffer sql = new StringBuffer("delete from D_XinXiGongKaiFuJian where hangBiaoShi=" + ((XinXiFaBuFuJian)list.get(n)).getHangBiaoShi());
            this.xinXiFaBuFuJianService.deleteBySql(sql.toString());
            String path_ = StringUtil.dealBasePath(String.valueOf(((XinXiFaBuFuJian)list.get(n)).getWenJianLuJing()) + ((XinXiFaBuFuJian)list.get(n)).getWenJianMingCheng());
            String ccfs = AppConfiguration.getConfigValue("CPCNS_CUNCHUFANGSHI");
            if ("1".equals(ccfs)) {
              User user = getUser();
              String qzh = user.getQuanZongHao();
              FtpUtil ftp = new FtpUtil();
              FtpConfig ftpc = this.xinXiFaBuFuJianService.getFtpAccInfo(qzh);
              ftp.connectServer(ftpc);
              ftp.removeDirectory(StringUtil.dealBasePath(((XinXiFaBuFuJian)list.get(n)).getWenJianLuJing()), true);
            } else {
              String path = AppConfiguration.getConfigValue("OACaiJiPath");
              File file = new File(String.valueOf(StringUtil.dealBasePath(String.valueOf(path) + File.separator)) + path_);
              if (file.exists())
                file.delete(); 
            } 
          }  
        XinXiFaBu XXFB = (XinXiFaBu)this.xinXiFaBuService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi[i])));
        StringBuffer sqlDelZDHD = new StringBuffer("delete from D_XinXiGongKai where hangBiaoShi=" + hangBiaoShi[i]);
        this.xinXiFaBuService.deleteBySql(sqlDelZDHD.toString());
        this.xinXiFaBuService.addDA_RiZhi(getCurrentUser(), this.server, "D_XinXiGongKai", XXFB.getHangBiaoShi(), XXFB.getTiMing(), "删除");
      } 
      info = "删除成功！";
    } 
    responseWriter(response, info);
  }
  
  @RequestMapping({"/shenHeXXFB.do"})
  @ResponseBody
  public void shenHeXXFB(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShis = getRequest().getParameter("hangBiaoShis");
    String value = getRequest().getParameter("value");
    String boHuiYuanYin = getRequest().getParameter("boHuiYuanYin");
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShis) && StringUtils.isNotBlank(value)) {
      String[] hangBiaoShi = hangBiaoShis.split(",");
      for (int i = 0; i < hangBiaoShi.length; i++) {
        StringBuffer sql = new StringBuffer();
        if (Integer.parseInt(value) == 1) {
          sql.append("update D_XinXiGongKai set dangAnShiZhuangTai=2,zeRenRenMingCheng='" + getCurrentUser().getMingCheng() + "',zeRenRenBiaoShi='" + getCurrentUser().getBiaoShi() + "',zeRenRenShenHeRiQi=to_date('" + (new SimpleDateFormat("yyyy-MM-dd")).format(new Date()) + "','yyyy-mm-dd') where hangBiaoShi in (" + hangBiaoShis + ")");
        } else if (Integer.parseInt(value) == 2) {
          sql.append("update D_XinXiGongKai set dangAnShiZhuangTai=3,boHuiYuanYin='" + boHuiYuanYin + "',zeRenRenMingCheng='" + getCurrentUser().getMingCheng() + "',zeRenRenBiaoShi='" + getCurrentUser().getBiaoShi() + "',zeRenRenShenHeRiQi=to_date('" + (new SimpleDateFormat("yyyy-MM-dd")).format(new Date()) + "','yyyy-mm-dd') where hangBiaoShi in (" + hangBiaoShis + ")");
        } 
        this.xinXiFaBuService.deleteBySql(sql.toString());
      } 
      info = "审核成功！";
    } 
    responseWriter(response, info);
  }
  
  @RequestMapping({"/gkxx_nlPrint.do"})
  public String gkxx_nlPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      User user = getCurrentUser();
      List<Map<String, Object>> list = new ArrayList<>();
      Map<String, Object> wjp = new HashMap<>();
      list.add(wjp);
      HashMap<String, Object> params = new HashMap<>();
      String model = "gongkaixinxi_mulu.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "gkxxml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/gkxxPrint.do"})
  public String gkxxPrint(HttpServletRequest request, HttpServletResponse response) throws Exception {
    try {
      String qi = request.getParameter("chengWenRiQibegin");
      String zi = request.getParameter("chengWenRiQiend");
      User user = getCurrentUser();
      StringBuilder sql = new StringBuilder("select w.quanZongHao,w.wenHao,w.tiMing BIAOTI,w.zeRenZhe,to_char(w.chengWenRiQi,'yyyymmdd') cwrq,w.xuHao from D_XINXIGONGKAI w where 1=1 ");
      sql.append(" and w.chengWenRiQi >= to_date('").append(qi).append("','yyyy-mm-dd')");
      sql.append(" and w.chengWenRiQi <= to_date('").append(zi).append("','yyyy-mm-dd')");
      sql.append(" group by w.quanZongHao,w.wenHao,w.tiMing,w.zeRenZhe,w.chengWenRiQi,w.xuHao order by w.quanZongHao ,w.chengWenRiQi ");
      List<Map<String, Object>> list = this.commonService.getListSQL(sql.toString());
      HashMap<String, Object> params = new HashMap<>();
      String model = "gongkaixinxi.jasper";
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "gkxx");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
}
